<?php
/**
 * Configuration, partly specific for the DSpace server
 * 
 * SAMPLE CONFIG FOR DSPACE, CUSTOMIZE BEFORE USE!
 *  
 * @author Hans-Werner Hilse <hilse@sub.uni-goettingen.de> for SUB Göttingen
 * @package data-provider
 * @subpackage logfile-parser
 * @version 1.0
 */

require_once(dirname(__FILE__).'/lib/oasparser-webserver-dspace.php');
require_once(dirname(__FILE__).'/config.php');

$config=array(
	'parser'	=> 'OASParserWebserverDSpace',

        // specific for the DSpace server integration:

        'db_identifier' => dirname(__FILE__).'/data/oai-harvester-dspace.db',
        'oai_server'    => 'http://goedoc.sub.uni-goettingen.de/oai2/request',
        'metadataPrefix'=> 'oai_dc',
        'full_harvest'  => false,
        'service_id'    => 'http://goedoc.sub.uni-goettingen.de/oai2/request',
        'service_id'    => 'http://goedoc.sub.uni-goettingen.de',
        'url_prefix'    => 'http://goedoc.sub.uni-goettingen.de',
        )+$config;
