<?php
/**
 * Configuration, partly specific for "Webdoc" server of the SUB Goettingen
 * 
 * SAMPLE CONFIG FOR WEBDOC, CUSTOMIZE BEFORE USE!
 * 
 * @author Hans-Werner Hilse <hilse@sub.uni-goettingen.de> for SUB GÃ¶ttingen
 * @package data-provider
 * @subpackage logfile-parser
 * @version 1.0
 */

require_once(dirname(__FILE__).'/lib/oasparser-webserver-webdoc.php');
require_once(dirname(__FILE__).'/config.php');

$config=array(

	'database'	=> "mysql:host=localhost;dbname=oas_data_provider_webdoc",
	'username'	=> !!!SET ME!!!,
	'password'	=> !!!SET ME!!!,
	'parser'	=> 'OASParserWebserverWebdoc',
	'per_ent'	=> 10,
	'maxchilds'	=> 25,
	
	// specific for the webdoc server integration (identifier assignment database):
	'db_identifier'	=> dirname(__FILE__).'/data/oai-harvester-webdoc.db',

	'service_id'	=> 'http://webdoc.example.com/',
	'baseurl'	=> 'http://webdoc.example.com',
	'url_prefix'	=> 'http://webdoc.example.com',
	'oai_server'	=> 'http://www.example.com/goai/gbvrep.php',
	'metadataPrefix'=> 'oai_dc',
	'full_harvest'	=> true, // because the webdoc OAI-PMH interface is broken
	
	)+$config; // merge into default config
