<?php
/** 
 * Default configuration
 * 
 * SAMPLE CONFIG, CUSTOMIZE BEFORE USE!
 * 
 * @author Hans-Werner Hilse <hilse@sub.uni-goettingen.de> for SUB GÃ¶ttingen
 * @package data-provider
 * @subpackage logfile-parser
 * @version 1.0
 */

include "lib/.new";

$config=array(
	// which parser to use
	'parser'	=> 'OASParserWebserverDspace',
	// salt for hashes
	'hashsalt'	=> $salt,
	// context objects in a contextobjects container
	'per_ent'	=> 100,
	// PDO database connection string
	'database'	=> 'mysql:host=localhost;dbname=oas_data_provider_demo',
	// db user
	'username'      => 'oas_demo',
	// db password
	'password'      => 'oas_demo',
	// name of the table within the database
	'tablename'	=> 'contextobjects',
	// where to read data from
	'file_in'	=> 'php://stdin',
	// prefix this to the path read from config file to form a full URL
	'url_prefix'	=> 'http://www.oas_demo.de/',
	// use this as indent string for the XML
	'indent'	=> '',
	// number of worker child processes
	'maxchilds'	=> 10,
	// identifier prefix (".<line>" is added)
	'identifier'    => 'oai:demo',
	// the service_id for annotating the context object
	'service_id'	=> 'http://www.oas_demo.de/oastatistik',
	);
